Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
knowledgebases
/
{knowledgebaseId}
/
datasets
Upload dataset
curl --request POST \
  --url https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form dataset='@example-file'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets"

files = { "dataset": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('dataset', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "success": true
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

knowledgebaseId
string
required

The knowledgebase ID

Body

multipart/form-data
dataset
file
required

File to upload and embed (the extension selects the parser)

Response

Created

message
string
required
success
boolean
required